/* 
	Use multiples of 4px for sizing 
	http://www.colorhexa.com/334488
	http://www.colorhexa.com/338877
	http://www.colorhexa.com/887733
	http://www.colorhexa.com/884433
*/
html {
	height:   100%;
	position: relative;
}

body {
	background: #aaa;
	color:      #333;
}

body, h3, select, input, textarea, .ui-menu {
	font-family: Segoe UI, Helvetica, sans-serif;
	font-size:   15px;
	line-height: 24px;
}

strong {
	font-weight: bold;
}

input, textarea {
	padding: 1px 3px;
}

select, input {
	height:    28px;
	max-width: 400px;
	min-width: 284px;
}

select {
	margin:  0;
}

.-ms- select {
	padding-left: 1px;
}

h3 {
	font-weight: bold;
}

h2 {
	font-family:    Segoe UI, Helvetica, Sans-serif;
	font-size:      20px;
	font-weight:    bold;
	margin:         8px 0;
	margin-bottom:  16px;
	padding-left:   0;
	z-index:        0;
}

a {
	color:       #387;
	user-select: none;
}

a, a:active, a:visited {
	text-decoration: none;
	border:          none;
}

a:hover, a:active, a:focus {
	border-bottom: solid 3px #387;
	transition:    border 0.1s ease 0;
}

table {
	margin-left: -6px;
	margin-top:  -2px;
}

table td {
	padding: 0 4px;
}

/*
table td:first-child {
	padding-left: 0;
}

table td:last-child {
	padding-right: 0;
}
*/

tr .commands {
	opacity:    0;
}

tr {
	border:        2px solid transparent;
	border-radius: 0;
}

tr:hover .commands {
	opacity: 1;
	transition: opacity 0.2s ease-out;
}

tr:hover {
	border-color: #fff;
	background:   #fff;
}

tbody:hover {
	background: #fafafa;
}

tbody:first-child:last-child:hover {
	background: initial;
}

thead tr, tfoot tr {
	font-weight: bold;
}

*:focus {
	outline: none;
}

:-moz-any-link:-moz-focusring {
	outline: none;
}

input:focus, textarea:focus, select:focus, button:focus {
	border-color: #348;
	box-shadow:   0 0 2px 1px #78c;
}

button {
	padding:       3px 7px;
	line-height:   24px;
	border:        solid 1px #aaa;
	border-radius: 2px;
	background:    #eee; /* Old browsers */
	background:    linear-gradient(to bottom,  rgb(255, 255, 255) 0,rgb(221, 221, 221) 100%); /* W3C */
}

button:hover {
	box-shadow: 0 0 2px 1px #aaa;
}

button.disabled:hover {
	box-shadow: none;
}

body.frozen * #content-wrapper, body.frozen #activity {
	transition-property: none !important;
}

.hidden {
	visibility: hidden !important;
}

.disabled {
	opacity:        .5 !important;
	transition:     opacity .25s ease;
	pointer-events: none;
	user-select:    none;
}

a.disabled {
	color: #999;
}

.collapsed {
	display: none !important;
}

.transparent {
	opacity: 0;
}

.date {
	text-transform: capitalize;
	white-space:    nowrap;
}

.important {
	font-weight: bold;
}

.info, .subdue, .subdue * {
	color: #aaa;
}

.info:hover, .subdue:hover, .subdue:hover * {
	color:inherit;
}

tr .info {
	opacity: 0;
}

tr:hover .info {
	opacity:    1;
	transition: opacity .25s ease;
}

.error, .field-validation-error, .validation-summary-errors {
	color:        #843;
	border-color: #843;
}

button.remove {
	color:        #fff;
	background:   #843;
	border-color: #600;
	background:   linear-gradient(top,  rgb(164, 64, 64) 0,rgb(136, 34, 34) 100%); /* W3C */
}

button.remove:hover, button.remove:focus {
	box-shadow: 0 0 2px 1px #843;
}

.input-validation-error {
	border-width:     1px;
	border-style:     solid;
	background-color: #ffeeee;
}

.validation-summary-errors {
	font-weight: bold;
}

.editor-label, .editor-field {
	margin: 4px 0 0 0;
}

.field-validation-valid, .validation-summary-valid {
	display: none;
}

.fleft {
	float: left;
}

.fright {
	float: right;
}

.left {
	text-align: left;
}

.right {
	text-align: right;
}

.center {
	text-align: center;
}

.panel {
	background:      #fff;
	border:          solid 1px #ddd;
	border-collapse: collapse;
	z-index:         1;
	position:        relative;
	margin: 0 4px 4px 0;
}

.panel .wrapper {
	position: relative;
	padding:  4px;
}

.panel:hover {
	box-shadow:   1px 1px 3px #000;
	border-color: #000;
}

.template {
	display: none;
}

.data {
	background:     #fff;
	display:        inline-block;
	vertical-align: top;
	padding:        8px;
	min-width:      400px;
	margin:         0 4px 4px 0;
}

.toolbar {
	min-width: 0;
}

.data label, .data .note {
	display: block;
	color:   #999;
}

.data label {
	margin-left: 4px;
	text-wrap: normal;
}

.data .note {
	font-size:   12px;
	font-weight: normal;
}

.data li {
	vertical-align: middle;
	margin-top:     4px;
	margin-bottom:  4px;
}

.data li:first-child {
	margin-top: 0;
}

.data input, .data select, .data textarea  {
	vertical-align: middle;
	background:     transparent;
	border:         1px solid transparent;
	border-color:   rgba(127, 127, 127, .05);
}

.data li:hover label {
	color:inherit;
}

.data textarea:hover,
.data input:hover, 
.data select:hover, 
.data textarea:focus,
.data input:focus, 
.data select:focus {
	transition:          0.25s ease;
	transition-property: background, border, color;
	background:          #eee;
	color:               inherit;
}

.data textarea:hover,
.data input:hover, 
.data select:hover, 
.data textarea:focus,
.data input:focus,
.data select:focus {
	border-style: solid !important;
	border-color: #ddd !important;
}

.data input, .data textarea {
	width: 100%;
}

.data input, .data textarea {
	box-sizing: border-box;
}

.data input.number, .data input.date {
	width: auto;
}

.data input.time {
	width: 64px;
}

.data input.description {
	width: auto;
}

.data textarea {
	resize:        vertical;
	margin:        0;
	overflow-y:    auto;
	min-height:    28px;
}

a.link-toggle {
	text-decoration:     line-through;
	color:               #843;
	border-color:        #843;
	transition-property: color, border-color;
}

a.link-toggle.enabled {
	text-decoration: inherit;
	color:           #348;
	border-color:    #348;
	transition:      0.25s ease;
}

/* jQuery.UI customization */

.ui-corner-all {
	border-radius: 0 !important;
}

.ui-menu .ui-menu-item a {
	padding: 4px; 
	border:  1px solid transparent;
}

.ui-menu .ui-menu-item a.ui-state-focus,
.ui-menu .ui-menu-item a.ui-state-active {
	font-weight: normal; 
	margin:      0;
	border-color: #9a5;
}

.ui-menu {
	box-shadow:   1px 1px 3px #000;
	border-color: #000;
	max-height:   280px;
	overflow:     auto;
}

input.date, input.number {
	width: 100px;
}

br, hr {
	clear:       both;
	line-height: 0;
}

hr {
	border:     none;
	border-top: solid 1px #ddd;
	max-height: 1px;
	margin:     7px 0 8px 0;
}

/*#region Header */

#header-wrapper {
/*
	position:       fixed;
*/
	right:          0;
	left:           0;
	z-index:        2;
	vertical-align: middle;
	text-shadow:    0 -1px #561;
}

#header, #content-wrapper {
	padding:        7px 16px;
	border-top:     solid 1px #000;
	border-bottom:  solid 1px #000;
}

#header, #content-wrapper, #activity {
	box-shadow: 0 3px 5px #000;
}

#header {
	color:       #fff;
	height:      40px;
	overflow:    hidden;
	padding-top: 15px;
	background:  #348;
	position:    relative;
	z-index:     3;
}


#content-wrapper {
/*
	padding-top:         62px;
*/
	padding-top:         16px;
	transition-property: padding-top;
}

#header a, #header a:hover {
	color:        #fff !important;
	border-color: #fff;
}

#logout {
	float: right;
}

#footer-content {
	text-shadow: 0 0 4px #000;
}

#logo {
	float:       left;
	border:      none;
	width:       auto;
	padding:     0 0 0 2px;
	margin:      2px 0 0 8px;
	margin-left: -4px;
	font-size:   28px;
	font-weight: bold;
	text-shadow: 0 -1px 1px #000;
}

#logo img {
	height: 32px !important;
}

#content-wrapper {
	background:     #eee;
	padding-bottom: 15px;
	position:       relative;
}

#content {
	clear: both;
}

/* ReSharper disable DeclarationIsEmpty */
.link-submit {}
.test-excluded {
	/* Used for testing */
}
/* ReSharper restore DeclarationIsEmpty */